<ng-container *ngIf="jobRun$ | async as jobRun; else noData">
  <xrd-minerals-table class="run-table" [data]="jobRun.xrdAlgorithmResult" (selectRow)="onSelectRow($event)">
  </xrd-minerals-table>

  <div class="run-chart-wrapper" [ngSwitch]="selectedChart">
    <ng-container *ngSwitchCase="chartTypes.Pie">
      <xrd-pie-chart
        class="run-chart"
        *ngIf="pieChartData$ | async as pieChartData"
        [data]="pieChartData.data"
        [title]="pieChartData.title"
      ></xrd-pie-chart>
    </ng-container>

    <ng-container *ngSwitchCase="chartTypes.Scatter">
      <xrd-scatter-chart
        class="run-chart"
        [data]="scatterChartData$ | async"
        [title]="'Grain Density Comparison'"
      ></xrd-scatter-chart>
    </ng-container>

    <ng-container *ngSwitchCase="chartTypes.StackedBar">
      <xrd-stacked-bar-chart
        class="run-chart stacked-bar-chart"
        *ngIf="stackedBarChartData$ | async as barChartData"
        [data]="barChartData"
        [title]="'Mineral Distribution'"
      ></xrd-stacked-bar-chart>
    </ng-container>
    <button mat-mini-fab color="primary" (click)="showNextChart()" matTooltip="Change chart">
      <mat-icon>swap_horiz</mat-icon>
    </button>
  </div>
</ng-container>

<ng-template #noData>
  <div class="no-data">No data available. Please wait while we are processing the job</div>
</ng-template>
